Package com.omnisci.thrift.server

## Class TDatumVal

- java.lang.Object
- - com.omnisci.thrift.server.TDatumVal

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDatumVal>`, `org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>`, `org.apache.thrift.TSerializable`

    public class TDatumVal
    extends Object
    implements org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>, Serializable, Cloneable, Comparable<TDatumVal>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDatumVal._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TDatum>` `arr_val`
`long` `int_val`
`static Map<TDatumVal._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`double` `real_val`
`String` `str_val`

### Constructor Summary

Constructors
`TDatumVal()`
`TDatumVal​(long int_val, double real_val, String str_val, List<TDatum> arr_val)`
`TDatumVal​(TDatumVal other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToArr_val​(TDatum elem)`
`void` `clear()`
`int` `compareTo​(TDatumVal other)`
`TDatumVal` `deepCopy()`
`boolean` `equals​(TDatumVal that)`
`boolean` `equals​(Object that)`
`TDatumVal._Fields` `fieldForId​(int fieldId)`
`List<TDatum>` `getArr_val()`
`Iterator<TDatum>` `getArr_valIterator()`
`int` `getArr_valSize()`
`Object` `getFieldValue​(TDatumVal._Fields field)`
`long` `getInt_val()`
`double` `getReal_val()`
`String` `getStr_val()`
`int` `hashCode()`
`boolean` `isSet​(TDatumVal._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArr_val()` Returns true if field arr_val is set (has been assigned a value) and false otherwise
`boolean` `isSetInt_val()` Returns true if field int_val is set (has been assigned a value) and false otherwise
`boolean` `isSetReal_val()` Returns true if field real_val is set (has been assigned a value) and false otherwise
`boolean` `isSetStr_val()` Returns true if field str_val is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDatumVal` `setArr_val​(List<TDatum> arr_val)`
`void` `setArr_valIsSet​(boolean value)`
`void` `setFieldValue​(TDatumVal._Fields field, Object value)`
`TDatumVal` `setInt_val​(long int_val)`
`void` `setInt_valIsSet​(boolean value)`
`TDatumVal` `setReal_val​(double real_val)`
`void` `setReal_valIsSet​(boolean value)`
`TDatumVal` `setStr_val​(String str_val)`
`void` `setStr_valIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArr_val()`
`void` `unsetInt_val()`
`void` `unsetReal_val()`
`void` `unsetStr_val()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### int_val

    public long int_val

#### real_val

    public double real_val

#### str_val

    public String str_val

#### arr_val

    public List<TDatum> arr_val

#### metaDataMap

    public static final Map<TDatumVal._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDatumVal

    public TDatumVal()

#### TDatumVal

    public TDatumVal​(long int_val,
                     double real_val,
                     String str_val,
                     List<TDatum> arr_val)

#### TDatumVal

    public TDatumVal​(TDatumVal other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDatumVal deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>`

#### getInt_val

    public long getInt_val()

#### setInt_val

    public TDatumVal setInt_val​(long int_val)

#### unsetInt_val

    public void unsetInt_val()

#### isSetInt_val

    public boolean isSetInt_val()

Returns true if field int_val is set (has been assigned a value) and false otherwise

#### setInt_valIsSet

    public void setInt_valIsSet​(boolean value)

#### getReal_val

    public double getReal_val()

#### setReal_val

    public TDatumVal setReal_val​(double real_val)

#### unsetReal_val

    public void unsetReal_val()

#### isSetReal_val

    public boolean isSetReal_val()

Returns true if field real_val is set (has been assigned a value) and false otherwise

#### setReal_valIsSet

    public void setReal_valIsSet​(boolean value)

#### getStr_val

    public String getStr_val()

#### setStr_val

    public TDatumVal setStr_val​(String str_val)

#### unsetStr_val

    public void unsetStr_val()

#### isSetStr_val

    public boolean isSetStr_val()

Returns true if field str_val is set (has been assigned a value) and false otherwise

#### setStr_valIsSet

    public void setStr_valIsSet​(boolean value)

#### getArr_valSize

    public int getArr_valSize()

#### getArr_valIterator

    public Iterator<TDatum> getArr_valIterator()

#### addToArr_val

    public void addToArr_val​(TDatum elem)

#### getArr_val

    public List<TDatum> getArr_val()

#### setArr_val

    public TDatumVal setArr_val​(List<TDatum> arr_val)

#### unsetArr_val

    public void unsetArr_val()

#### isSetArr_val

    public boolean isSetArr_val()

Returns true if field arr_val is set (has been assigned a value) and false otherwise

#### setArr_valIsSet

    public void setArr_valIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDatumVal._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDatumVal._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>`

#### isSet

    public boolean isSet​(TDatumVal._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDatumVal that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDatumVal other)

Specified by:
  `compareTo` in interface `Comparable<TDatumVal>`

#### fieldForId

    public TDatumVal._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDatumVal,​TDatumVal._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`